summaryrefslogtreecommitdiffstats
path: root/source/script/installmsg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/script/installmsg.sh')
-rw-r--r--source/script/installmsg.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/source/script/installmsg.sh b/source/script/installmsg.sh
new file mode 100644
index 00000000000..5a41fe1ca8d
--- /dev/null
+++ b/source/script/installmsg.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# first version (Sept 2003) written by Shiro Yamada <shiro@miraclelinux.com>
+# based on the first verion (March 2002) of installdat.sh written by Herb Lewis
+
+MSGDIR=`echo $1 | sed 's/\/\//\//g'`
+SRCDIR=$2/
+
+echo Installing msg files in $MSGDIR
+
+for f in $SRCDIR/po/*.msg; do
+ FNAME=$MSGDIR/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+done
+
+cat << EOF
+======================================================================
+The msg files have been installed.
+======================================================================
+EOF
+
+exit 0